Bug 212860 - BUG: spinlock bad magic on CPU#1
BUG: spinlock bad magic on CPU#1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 14:28 EST by Darwin H. Webb
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel trace data (2.72 KB, text/plain)
2006-11-03 13:24 EST, Darwin H. Webb
no flags Details

  None (edit)
Description Darwin H. Webb 2006-10-29 14:28:11 EST
Description of problem:
System froze, rebooted, this cpu1 bad error occured during hal boot up.

BUG: spinlock bad magic on CPU#1, readahead/2557 (Not tainted)
 lock: f74a5dd8, .magic: d6ad4ead, .owner: <none>/-1, .owner_cpu: -1
 [<c0405876>] dump_trace+0x69/0x1af
 [<c04059d4>] show_trace_log_lvl+0x18/0x2c
 [<c0405f83>] show_trace+0xf/0x11
 [<c0406080>] dump_stack+0x15/0x17
 [<c04e5323>] _raw_spin_lock+0x1b/0xdc
 [<c047f447>] __d_lookup+0x60/0xe4
 [<c0476ad8>] do_lookup+0x28/0x15a
 [<c047896b>] __link_path_walk+0x8ad/0xd73
 [<c0478e7a>] link_path_walk+0x49/0xbd
 [<c0479257>] do_path_lookup+0x21a/0x26b
 [<c0479a1c>] __user_walk_fd+0x2f/0x40
 [<c0473537>] vfs_stat_fd+0x19/0x40
 [<c04735eb>] sys_stat64+0xf/0x23
 [<c0404027>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 =======================

Version-Release number of selected component (if applicable):
 rpm -qa kernel hal udev fedora-release
fedora-release-6-4
udev-095-14
error: rpmdbNextIterator: skipping h#     618 Header SHA1 digest: BAD
Expected(a37eb0eb0268f1dc925b1cd4046ce4d05691cd9e) !=
(3259f112992fd31d6b79ed73f119aad41a365e03)
kernel-2.6.18-1.2798.fc6
hal-0.5.8.1-4.fc6

How reproducible:
first and only time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Petn IV ht 2.4c on Intel865BGF m/b
FC6 fully updated.
I was browsing and the mouse frose and system was locked up.
Comment 1 Dave Jones 2006-10-31 15:19:21 EST
The 'd6ad4ead' should be 'dead4ead'.  A single bit has flipped from a 1 to a 0.
This is nearly always bad RAM.

The SHA1 failing in rpm is another sign.

Run memtest86+ overnight.
Comment 2 Darwin H. Webb 2006-11-03 13:24:34 EST
Created attachment 140299 [details]
kernel trace data


I booted into FC5 and did updates.
I booted in to Win Xp and did updates.

I booted into FC6, did some updates, browsed, rebooted.
Ran for about an hour and bumpped me off to the logon screen.
Logon, but this time it would get back into Gnome.
Ctrl-Alt_F3
logon as root and got this in the messages.

Attached kernel trace for messages.
Comment 3 Darwin H. Webb 2006-11-03 13:30:23 EST
I had run memtest for 24.5 hours just before this.
No errors, no overheating, no cpu checks, no reboots.

Darwin
Comment 4 Bug Zapper 2008-04-04 00:15:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:37:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.